Name:           jackson-core
Version:        2.17.2
Release:        %mkrel 2
Group:          Development/Java
Summary:        Core part of Jackson
License:        Apache-2.0

URL:            https://github.com/FasterXML/jackson-core
Source0:        %{url}/archive/%{name}-%{version}.tar.gz
Patch1:         0001-Remove-ch.randelshofer.fastdoubleparser.patch

BuildRequires:  maven-local
BuildRequires:  mvn(com.fasterxml.jackson:jackson-base:pom:) >= %{version}
BuildRequires:  mvn(com.google.code.maven-replacer-plugin:replacer)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)

BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

%description
Core part of Jackson that defines Streaming API as well
as basic shared abstractions.

%prep
%autosetup -n %{name}-%{name}-%{version} -p 1

# Remove plugins unnecessary for RPM builds
%pom_remove_plugin ":maven-enforcer-plugin"
%pom_remove_plugin "org.apache.maven.plugins:maven-shade-plugin"
%pom_remove_plugin "org.jacoco:jacoco-maven-plugin"
%pom_remove_plugin "org.moditect:moditect-maven-plugin"
%pom_remove_plugin "de.jjohannes:gradle-module-metadata-maven-plugin"
%pom_remove_plugin "io.github.floverfelt:find-and-replace-maven-plugin"
%pom_remove_dep "ch.randelshofer:fastdoubleparser"

%pom_add_plugin "org.apache.felix:maven-bundle-plugin" . "<extensions>true</extensions>"

cp -p src/main/resources/META-INF/jackson-core-NOTICE .
sed -i 's/\r//' LICENSE jackson-core-NOTICE

%mvn_file : %{name}

%build
%mvn_build -f -j

%install
%mvn_install

%files -f .mfiles
%doc README.md release-notes/*
%license LICENSE jackson-core-NOTICE




%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.17.2-2.mga10
+ Revision: 2227349
- Mageia 10 Mass Rebuild

* Sun Sep 01 2024 neoclust <neoclust> 2.17.2-1.mga10
+ Revision: 2092472
- New version 2.17.2

* Fri May 24 2024 ns80 <ns80> 2.17.1-1.mga10
+ Revision: 2066934
- new version 2.17.1 for java 21

* Thu Sep 14 2023 daviddavid <daviddavid> 2.15.2-1.mga10
+ Revision: 1986689
- Update to version 2.15.2

* Sat Mar 26 2022 umeabot <umeabot> 2.11.4-2.mga9
+ Revision: 1827718
- Mageia 9 Mass Rebuild

* Mon Mar 01 2021 daviddavid <daviddavid> 2.11.4-1.mga9
+ Revision: 1694868
- Update to version 2.11.4

* Wed Oct 21 2020 daviddavid <daviddavid> 2.11.3-1.mga8
+ Revision: 1637879
- Update to version 2.11.3

* Sat Sep 05 2020 daviddavid <daviddavid> 2.11.2-1.mga8
+ Revision: 1622426
- Update to version 2.11.2

* Sun Feb 16 2020 umeabot <umeabot> 2.10.0-2.mga8
+ Revision: 1536205
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 daviddavid <daviddavid> 2.10.0-1.mga8
+ Revision: 1453498
- Update to version 2.10.0

* Thu Feb 07 2019 daviddavid <daviddavid> 2.9.8-1.mga7
+ Revision: 1363843
- Update to latest upstream release 2.9.8

* Mon Nov 26 2018 wally <wally> 2.9.4-1.mga7
+ Revision: 1335292
- new version 2.9.4 (sync with Fedora)

* Tue Sep 18 2018 umeabot <umeabot> 2.7.6-2.mga7
+ Revision: 1262480
- Mageia 7 Mass Rebuild

* Thu May 04 2017 neoclust <neoclust> 2.7.6-1.mga6
+ Revision: 1099008
- New version 2.7.6

* Wed Mar 02 2016 neoclust <neoclust> 2.6.3-3.mga6
+ Revision: 982351
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.6.3-2.mga6
+ Revision: 976536
- First rebuild of the java stack
- sync package jackson-core with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 2.4.2-4.mga5
+ Revision: 805705
- Clean rebuild
- Restore
- 2.4.2
+ sander85 <sander85>
- Depends on broken java stack
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- rebuild for missing pythoneggs deps

* Tue Oct 22 2013 umeabot <umeabot> 2.2.2-4.mga4
+ Revision: 541320
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 2.2.2-3.mga4
+ Revision: 495515
- imported package jackson-core


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 gil cattaneo <puntogil@libero.it> 2.2.2-2
- review fixes

* Tue Jul 16 2013 gil cattaneo <puntogil@libero.it> 2.2.2-1
- 2.2.2
- renamed jackson-core

* Tue May 07 2013 gil cattaneo <puntogil@libero.it> 2.2.1-1
- 2.2.1

* Wed Oct 24 2012 gil cattaneo <puntogil@libero.it> 2.1.0-1
- update to 2.1.0
- renamed jackson2-core

* Thu Sep 13 2012 gil cattaneo <puntogil@libero.it> 2.0.6-1
- initial rpm
